Package org.apache.sysds.runtime.controlprogram.parfor.opt

# Enum Class OptNode.NodeType

java.lang.Object
java.lang.Enum<OptNode.NodeType>
org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.NodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<OptNode.NodeType>`, `Constable`

Enclosing class:
  OptNode

public static enum OptNode.NodeType extends Enum<OptNode.NodeType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FOR`
`FUNCCALL`
`GENERIC`
`HOP`
`IF`
`INST`
`PARFOR`
`WHILE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoop()`
`static OptNode.NodeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptNode.NodeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GENERIC

public static final OptNode.NodeType GENERIC

### FUNCCALL

public static final OptNode.NodeType FUNCCALL

### IF

public static final OptNode.NodeType IF

### WHILE

public static final OptNode.NodeType WHILE

### FOR

public static final OptNode.NodeType FOR

### PARFOR

public static final OptNode.NodeType PARFOR

### INST

public static final OptNode.NodeType INST

### HOP

public static final OptNode.NodeType HOP

## Method Details

### values

public static OptNode.NodeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OptNode.NodeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLoop

public boolean isLoop()